/*	
 *	lcd1.cpp
 *
 *	ʂ̈ԉɃS~ôm߂vO
 *
 *	* Tue May 21 22:00:00 JST 2002 Naoyuki Sawa <nsawa@north.hokkai.net>
 *	- 1st release.
 */
#include <piece.h>

unsigned char vbuff[DISP_X * DISP_Y];

int color;		/* C̐F                  */
int x, y;		/* Cp^[̍W    */
int lines[][4] = {	/* Cp^[(x0,y0,x1,y1) */
	{ 0, 0, 0, 15 },
	{ 1, 0, 1, 15 },
	{ 3, 4, 3, 15 },
	{ 6, 0, 6, 15 },
};
#define N_LINES (sizeof lines / sizeof *lines)

void
pceAppInit()
{
	/* ʓIȏB */
	pceLCDDispStop();
	pceLCDSetBuffer(vbuff);
	pceAppSetProcPeriod(33);
	pceLCDDispStart();

	/* FƈʒȕlB */
	color = 3;
	x = 60;
	y = 70;
}

void
pceAppProc(int count)
{
	int i, pad;

	/* ܂ʂNAB */
	memset(vbuff, 0, sizeof vbuff);

	/* pbh͂ɂāAIEړEFύXB */
	pad = pcePadGet();
	if(pad & TRG_A) {
		pceAppReqExit(0);
		return;
	}
	if(pad & PAD_LF) x--;
	if(pad & PAD_RI) x++;
	if(pad & PAD_UP) y--;
	if(pad & PAD_DN) y++;
	if(pad & TRG_B) {
		color--;
		if(color == 0) color = 3;
	}

	/* FR[hƈʒu\B */
	pceFontSetType(2);
	pceFontSetPos(0, 0);
	pceFontPrintf("color=%d\nx=%3d\ny=%3d", color, x, y);

	/* Cp^[`B */
	for(i = 0; i < N_LINES; i++) {
		pceLCDLine(color, x + lines[i][0], y + lines[i][1],
				  x + lines[i][2], y + lines[i][3]);
	}

	/* ʓ]B */
	pceLCDTrans();
}

void
pceAppExit()
{
}
